<button
  mat-button
  [routerLink]="menuItem.routerLink"
  [routerLinkActive]="getActiveRouterLink()"
  *ngIf="location === 'top'"
  (click)="onMenuClicked()"
  [matTooltip]="menuItem.tooltipText"
>
  <fa-icon *ngIf="menuItem.faIcon" [icon]="menuItem.faIcon" [size]="(menuItem.faSize ? menuItem.faSize : '1x')" ></fa-icon>
  &nbsp;{{ menuItem.name }}
</button>


<a
  mat-list-item
  [routerLink]="menuItem.routerLink"
  [routerLinkActive]="getActiveRouterLink()"
  *ngIf="location === 'left'"
  (click)="onMenuClicked()"
  [matTooltip]="menuItem.tooltipText"
>
  <fa-icon *ngIf="menuItem.faIcon" [icon]="menuItem.faIcon" [size]="(menuItem.faSize ? menuItem.faSize : '1x')" ></fa-icon>
  &nbsp;{{ menuItem.name }}
</a>
